Page MenuHomeFreeBSD

ixl(4)/ixlv(4): Revert m_collapse() in ixl_xmit() to m_defrag().
ClosedPublic

Authored by erj on Feb 5 2016, 11:05 PM.

Details

Summary

The m_collapse() failed when transmitting medium-sized packets when the
interface mtu was set to 9000, so revert back to the non-error-causing
m_defrag().

It's also possible there was no performance benefit to using m_collapse()
over m_defrag() there, but that would need to be investigated.

Test Plan

Test medium (960-1400 byte) message sizes with 9000 MTU.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 2406
Build 2422: arc lint + arc unit

Event Timeline

erj updated this revision to Diff 13073.Feb 5 2016, 11:05 PM
erj retitled this revision from to ixl(4)/ixlv(4): Revert m_collapse() in ixl_xmit() to m_defrag()..
erj updated this object.
jeffrey.e.pieper_intel.com edited the test plan for this revision. (Show Details)
jeffrey.e.pieper_intel.com edited edge metadata.
This revision is now accepted and ready to land.Feb 11 2016, 11:05 PM
erj closed this revision.Feb 23 2016, 6:12 PM

This was committed in rS295831, but this revision didn't update for some reason.